Esempio n. 1
0
def make_keels():
    the_keel_builder = keel_helper.keel_builder(the_hull)
    the_keel_builder.make_segmented_keel(top_height=levels[0],
                                         start_bulkhead=0,
                                         end_bulkhead=6)
    the_keel_builder.target_screw_size = target_screw_size
    the_keel_builder.make_screws()
Esempio n. 2
0

new_chine=chine_helper.chine_helper(the_hull,
    name="roof",
    length=the_hull.hull_length*1.2,
    width=0.8,
    rotation=[-90,0,0],
    offset=[0,0,-0.5],
    symmetrical=False)

the_hull.add_chine(new_chine)


the_hull.default_floor_height=-0.45

the_keel_builder = keel_helper.keel_builder(the_hull,keel_middle_space=0.3)

the_keel_builder.make_solid_double_keel(top_height=the_hull.default_floor_height,start_bulkhead=1,end_bulkhead=6)
the_keel_builder.make_solid_single_keel(top_height=the_hull.default_floor_height,start_bulkhead=1,end_bulkhead=6)

the_hull.integrate_components()

the_hull.hull_object.hide_viewport=True

framedata=[
[ 1, [3.191784,-9.493891,3.358960],[0.403186,0.026390,-0.141792] ],
[ 2, [0.578287,-0.787018,10.949531],[0.262983,0.032428,-0.003520] ],
[ 3, [6.574893,-1.479655,0.840273],[-0.018434,0.001545,-0.802150] ],
[ 4, [-4.350198,-2.761443,0.150181],[-0.363852,0.379426,-0.492896] ],
[ 5, [3.023221,-0.004060,-0.149050],[0.990780,0.029352,-0.437069] ]
]
Esempio n. 3
0
    bool_new.object = ob
    bool_new.operation = 'DIFFERENCE'

    bpy_helper.hide_object(ob)


the_hull.add_prop(blend_file="assets/actors.blend",
                  target_object="man.sit_chair",
                  location=[0, 0, -0.6])
the_hull.add_prop(blend_file="assets/boat_assets.blend",
                  target_object="wheel_axle.8ft",
                  location=[0, 0, -0.96])

levels = [-0.7]

the_keel_builder = keel_helper.keel_builder(the_hull)
the_keel_builder.make_solid_double_keel(top_height=levels[0],
                                        start_bulkhead=1,
                                        end_bulkhead=6)


def make_fuel_tanks():

    fuel_tank_1L = geometry_helper.create_bilgetank(
        the_hull,
        top=levels[0],
        x1=bulkhead_definitions[0][0] + bulkhead_definitions[0][3] / 2,
        x2=bulkhead_definitions[1][0] - bulkhead_definitions[1][3] / 2,
        y_offset=-(keel_middle_space / 2) - the_keel.thickness / 2,
        name="fuel_1L")